# C99Check class

(Shortest import: `from brian2.codegen.cpp_prefs import C99Check)`

class brian2.codegen.cpp_prefs.C99Check(name)

  Bases: `object`

  Helper class to create objects that can be passed as an `availability_check` to a `FunctionImplementation`.

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.

  Details

  __call__(*args, **kwargs)

    Call self as a function.